package api
import (
"github.com/gin-gonic/gin"
)


func initRouter(engine *gin.Engine) {
    g := engine.Group("/api/v1")
	g.POST("/workload", getWorkload)
	g.POST("/reward", getReward)
	g.POST("/record", getRecord)

	proof := g.Group("/proof")
	{
		proof.POST("/withdraw", getWithdrawProof)
	}
}