# Validator for AIGIC

定时扫描昨天(UTC+0)的任务，验证签名，写入statedb，将昨日工作量/奖励生成merkle sum tree，将历史总奖励生成merkle tree，提交到合约

## leveldb kv

merkle sum tree:

    mstroot:2020-01-01 -> root

    mstsum:2020-01-01 -> sum

    mstk:2020-01-01 -> key1(address bytes20)key2(address bytes20)

    mstv:2020-01-01 -> val1:val2


merkle tree:

    mtroot:2020-01-01 -> root

    mtk:2020-01-01 -> key1(bytes32)key2(bytes32)

state:

    lastday -> 2023-01-01
    
    sroot:2020-01-01 -> root(32bytes)

    txid:2020-0101 -> txhash(32bytes)
